const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/cards/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/cards/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"createdAt": "2024-01-15T14:30:00Z",
"clearedAt": null,
"isPending": true,
"kind": "Payment",
"status": "Approved",
"country": {
"name": "United Kingdom",
"numeric": "826",
"alpha2": "GB",
"alpha3": "GBR"
},
"mcc": "5411",
"merchant": {
"name": "TESCO STORES",
"city": "LONDON",
"country": {
"name": "United Kingdom",
"alpha2": "GB"
}
},
"billingAmount": "2550",
"billingCurrency": {
"symbol": "€",
"code": "EUR",
"decimals": 2,
"name": "Euro"
},
"transactionAmount": "2199",
"transactionCurrency": {
"symbol": "£",
"code": "GBP",
"decimals": 2,
"name": "British Pound"
},
"transactionType": "00",
"cardToken": "4532********1234",
"transactions": [
{
"status": "ExecSuccess",
"to": "0x1234567890abcdef1234567890abcdef12345678",
"value": "2550000000000000000000",
"data": "0xa9059cbb",
"hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890"
}
]
}
]List Card Transactions
Retrieves paginated transactions for all activated cards of the authenticated user.
Returns three types of transaction events:
- Payment: Regular card transactions (purchases, ATM withdrawals). Can appear immediately after authorization with
isPending: true, then update when cleared. - Refund: Money returned to your account (product returns, cancellations). Only appears after both authorization and clearing are processed.
- Reversal: Cancellation of previous transactions due to technical issues or merchant corrections. Can appear immediately after authorization-level reversals.
The final number might differ slightly, as one thread might contain multiple transactions.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/cards/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/cards/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"createdAt": "2024-01-15T14:30:00Z",
"clearedAt": null,
"isPending": true,
"kind": "Payment",
"status": "Approved",
"country": {
"name": "United Kingdom",
"numeric": "826",
"alpha2": "GB",
"alpha3": "GBR"
},
"mcc": "5411",
"merchant": {
"name": "TESCO STORES",
"city": "LONDON",
"country": {
"name": "United Kingdom",
"alpha2": "GB"
}
},
"billingAmount": "2550",
"billingCurrency": {
"symbol": "€",
"code": "EUR",
"decimals": 2,
"name": "Euro"
},
"transactionAmount": "2199",
"transactionCurrency": {
"symbol": "£",
"code": "GBP",
"decimals": 2,
"name": "British Pound"
},
"transactionType": "00",
"cardToken": "4532********1234",
"transactions": [
{
"status": "ExecSuccess",
"to": "0x1234567890abcdef1234567890abcdef12345678",
"value": "2550000000000000000000",
"data": "0xa9059cbb",
"hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890"
}
]
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of card tokens
Maximum number of transactions to return
x >= 10Number of transactions to skip
x >= 0Filter transactions before this date (ISO 8601 format, e.g., "2023-04-01T00:00:00Z")
Filter transactions after this date (ISO 8601 format, e.g., "2023-03-01T00:00:00Z")
Filter by billing currency code
Filter by transaction currency code
Filter by Merchant Category Code (MCC)
Filter by transaction type code (e.g., "00" for Purchase, "01" for Withdrawal)
Response
Successful response with paginated transaction events
Total number of transactions available
25
URL for the next page of results, null if no more pages
"/api/v1/cards/transactions?limit=100&offset=100"
URL for the previous page of results, null if on first page
null
Array of transaction events for the current page
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes